PLSTYL(3)

NAME
plstyl - Set line style

SYNOPSIS
plstyl(nels, mark, space)

DESCRIPTION

This sets up the line style for all lines subsequently drawn. A line consists of segments in which the pen is alternately down and up. The lengths of these segments are passed in the arrays mark and space respectively. The number of mark-space pairs is specified by nels. In order to return the line style to the default continuous line, plstyl(3) should be called with nels=0.(see also pllsty(3))

ARGUMENTS

nels (PLINT, input)
    The number of mark and space elements in a line. Thus a simple broken line can be obtained by setting nels=1. A continuous line is specified by setting nels=0.

mark (PLINT *, input)
    Pointer to array with the lengths of the segments during which the pen is down, measured in micrometers.

space (PLINT *, input)
    Pointer to array with the lengths of the segments during which the pen is up, measured in micrometers.

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.